Subject: Re: bug#44533: 27.1; Mac special key modifiers not functioning as expected

From: Alan Third <[email-masked]>
Date: Tue, 10 Nov 2020 11:11:44 +0000

On Mon, Nov 09, 2020 at 11:23:13PM +0800, YH Tan wrote:
> The functioning of certain special key modifiers doesn't seem to work as
> expected in 27.1.
> 
> For example, when I do:
> 
> (setq mac-left-option-modifier 'nil)
            ^^^^
> 
> nothing happens to the left option key, which retains its meta function. 

You should be using mac-option-modifier, not mac-left-option-modifier.

> If I use: 
> 
> (setq mac-option-modifier 'nil)
> (setq mac-right-option-modifier 'meta)
> 
> the left option key is revived, but the right option key fails to capture
> some of the regular meta keybindings, such as org-do-promote/demote,
> org-move-subtree-up/down etc. 
> 
> The error can be replicated with emacs -Q and evaluating the above
> functions. 

I can't replicate this.

> option+up/down/left/right doesn’t do anything on its own in the system.
>
> In org-mode ‘C-h k’ just ignores the meta key and returns the arrow or
> RET key (in the case of org-insert-heading). Only things like ‘M-x’
> works with the reset right option in this case.

This actually sounds suspiciously like you've remapped fn as option in
the system preferences. The fn key has some strange behaviours when
used with "control" keys like the arrows.

Do you have any other remapping set up? Are you using a USB keyboard?

-- 
Alan Third